> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if we have adveriser access. If so, create a subscription



## OpenAPI

````yaml https://api.boosterberg.com-beta.com/v1/doc/api-json post /boosted-pages/check-access/{id}
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /boosted-pages/check-access/{id}:
    post:
      summary: Check if we have adveriser access. If so, create a subscription
      operationId: 48e12bb1b35fb80b2c71302301a60129
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            example: 11
      requestBody:
        description: ''
        required: false
        content:
          application/json:
            schema:
              properties:
                access_pending_referrer:
                  description: >-
                    If user clicked 'Continue' button (access_pending_referrer =
                    true)
                  type: boolean
                  example: '0'
              type: object
      responses:
        '200':
          description: Returns status or error message
          content:
            application/json:
              schema:
                properties:
                  credit_was_charged:
                    type: boolean
                  page:
                    type: object
                type: object
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````